import matplotlib.pyplot as plt
import numpy as np
import quantities as pq
import neo
from numpy.random import rand
from exana.stimulus import make_spiketrain_trials
from statistics_plot import plot_spike_histogram
spike_train = neo.SpikeTrain(rand(1000) * 10, t_stop=10, units='s')
epoch = neo.Epoch(times=np.arange(0, 10, 1) * pq.s, durations=[.5] * 10 * pq.s)
trials = make_spiketrain_trials(spike_train, epoch)
ax = plot_spike_histogram(trials, color='r', edgecolor='b', binsize=1 * pq.ms, output='rate', alpha=.5)
plt.show()